Package: preview-latex-style
Version: 11.82-1
Tags: patch

The prerm failed-upgrade case is called when upgrade fails, as a
second chance at the same thing, not as a rollback request.

The other maintscripts need to have their *) messages fixed too.

--- /var/lib/dpkg/info/preview-latex-style.prerm        2006-02-05 
07:15:08.000000000 -0500
+++ /tmp/preview-latex-style.prerm      2006-06-05 22:46:45.000000000 -0400
@@ -25,14 +25,12 @@
 set -o posix
 
 case "${1}" in
-    (deconfigure|remove|upgrade)
+    deconfigure|remove|upgrade|failed-upgrade)
         test -x /usr/sbin/install-docs && install-docs --remove 
preview-latex-style
     ;;
-    (failed-upgrade)
-        test -x /usr/sbin/install-docs && install-docs --install 
/usr/share/doc-base/preview-latex-style
-    ;;
-    (*) echo >&2 "${0##*/}/auctex:" \
-       "Unknown argument: \"${1}\"."
+    *)
+       echo "$0: Unknown argument: \"${1}\"." >&2;
+       exit 1;
     ;;
 esac


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to